%define		pkgver	3.1.5beta
Name:		smstools
%define		smsname %{name}3
Summary:	The SMS Server Tools send and receive short messages through GSM modems or mobile phones.
Version:	3.1.4.99
Release:	4.1
Source0:	%{smsname}-%{pkgver}.tar.gz
Source1:	%{name}.logrotate.d
Source2:	%{name}.suse.init
Patch0:		%{name}-install-destdir.diff
Patch1:		%{name}-makefile.diff
License: 	GPL
Group: 		Applications/Communications
Url: 		http://smstools3.kekekasvi.com/
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mm-devel

%description
The SMS Server Tools send and receive short messages through GSM modems or mobile phones.

You can send short messages by simply storing text files into a special spool directory. 
The program monitors this directory and sends new files automatically. 
It also stores received short messages into another directory as text files.

The program can run other external programs or scripts after events like reception of a new message, 
successful sending and also when a problem has been detected. 
These external programs can inspect the related text files and perform automatic actions, 
for example storing information into a database, sending an automatic reply, 
forwarding messages via eMail, ... and whatever you like.

This software runs on Windows and any Unix. It does not depend on any operating system specific 
feature and it does not depend on any library (except the standard C library). 
This makes the program highly compatible to embedded systems. 


%prep
%setup -n %{smsname}
%patch0 -p1
%patch1 -p1

%build
%{__make}

%install
%{__install} -D -m 755 -d %{buildroot}/%{_sysconfdir}/init.d
%{__install} -D -m 755 -d %{buildroot}/%{_sysconfdir}
%{__install} -D -m 755 -d %{buildroot}/%{_sysconfdir}/logrotate.d
%{__install} -D -m 755 -d %{buildroot}/var/spool/sms
%{__install} -D -m 755 -d %{buildroot}/%{_bindir}
%{__install} -D -m 755 -d %{buildroot}/%{_sbindir}
%{__install} -D -m 755 -d %{buildroot}/%{_docdir}/%{name}/html
%{__make} install DESTDIR=%{buildroot} BINDIR=%{buildroot}%{_bindir}
%{__install} -m 755 %{S:2} %{buildroot}/%{_sysconfdir}/init.d/smstools
%{__install} -m 644 %{S:1} %{buildroot}/%{_sysconfdir}/logrotate.d/smstools
%{__mv} doc html
chmod +x html examples
cd %{buildroot}/%{_sbindir}
ln -s ../../%{_sysconfdir}/init.d/smstools rcsmstools
rm -f %{buildroot}/etc/init.d/sms3

%files
%defattr(0755,root,root)
%{_bindir}/smsd
%{_bindir}/sendsms
%{_bindir}/sms2html
%{_bindir}/sms2unicode
%{_bindir}/unicode2sms
%{_sbindir}/rcsmstools
%defattr(0644,root,root)
%config(noreplace) %{_sysconfdir}/smsd.conf
%{_sysconfdir}/logrotate.d/smstools
%{_sysconfdir}/init.d/smstools
%doc LICENSE README
%doc examples
%doc html
